Debian Bug report logs - #728885
publican: Publican fails to start

version graph

Package: libxml-treebuilder-perl; Maintainer for libxml-treebuilder-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libxml-treebuilder-perl is src:libxml-treebuilder-perl.

Reported by: Petr Vanek <petr@linuks.cz>

Date: Wed, 6 Nov 2013 14:00:01 UTC

Severity: serious

Tags: upstream

Found in version libxml-treebuilder-perl/5.0-1

Fixed in version libxml-treebuilder-perl/5.1-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=90464

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Wed, 06 Nov 2013 14:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Vanek <petr@linuks.cz>:
New Bug report received and forwarded. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 06 Nov 2013 14:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Vanek <petr@linuks.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: publican: Publican fails to start
Date: Wed, 06 Nov 2013 14:50:41 +0100
Package: publican
Version: 3.2.1-2
Severity: important
Tags: upstream

Publican fails to run. Last document i as able to sucesfully build was on Oct 2nd.

Error message:

publican create --name New_Book

No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line 470.
 at line 123, column 0, byte 4432
Handler couldn't resolve external entity at line 123, column 0, byte 4432
error in processing external entity reference at line 123, column 0, byte 4432
error in processing external entity reference at line 3, column 1, byte 163 at /usr/lib/perl5/XML/Parser.pm line 187.



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.12-rc7-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages publican depends on:
ii  docbook-xml                                  4.5-7.2
ii  docbook-xsl                                  1.78.1+dfsg-1
ii  fop                                          1:1.1.dfsg-2
ii  gettext                                      0.18.3.1-1
ii  libarchive-zip-perl                          1.30-7
ii  libconfig-simple-perl                        4.59-6
ii  libdatetime-format-dateparse-perl            0.05-1
ii  libdatetime-perl                             2:1.03-1+b1
ii  libdbd-sqlite3-perl                          1.40-2
ii  libdbi-perl                                  1.630-1
ii  libfile-copy-recursive-perl                  0.38-1
ii  libfile-find-rule-perl                       0.33-1
ii  libfile-homedir-perl                         1.00-1
ii  libfile-inplace-perl                         0.20-1
ii  libfile-pushd-perl                           1.005-1
ii  libfile-which-perl                           1.09-1
ii  libhtml-format-perl                          2.11-1
ii  libhtml-formattext-withlinks-andtables-perl  0.02-1
ii  libhtml-formattext-withlinks-perl            0.14-1
ii  libhtml-template-perl                        2.95-1
ii  libhtml-tree-perl                            5.03-1
ii  libimage-size-perl                           3.232-1
ii  libio-string-perl                            1.08-2
ii  liblist-moreutils-perl                       0.33-1+b2
ii  liblocale-maketext-gettext-perl              1.28-1
ii  liblocale-po-perl                            0.23-1
ii  libmakefile-parser-perl                      0.215-2
ii  librsvg2-bin                                 2.40.0-1
ii  libsort-versions-perl                        1.5-4
ii  libstring-similarity-perl                    1.04-1+b1
ii  libsyntax-highlight-engine-kate-perl         0.08+dfsg-1
ii  libtemplate-perl                             2.24-1.1+b1
ii  libtext-csv-xs-perl                          1.01-1+b1
ii  libxml-libxml-perl                           2.0106+dfsg-1
ii  libxml-libxslt-perl                          1.81-1+b1
ii  libxml-simple-perl                           2.20-1
ii  libxml-treebuilder-perl                      5.1-1
ii  perl                                         5.18.1-4
ii  perlmagick                                   8:6.7.7.10-6

publican recommends no packages.

publican suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Wed, 06 Nov 2013 14:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 06 Nov 2013 14:57:12 GMT) Full text and rfc822 format available.

Message #10 received at 728885@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Petr Vanek <petr@linuks.cz>, 728885@bugs.debian.org
Cc: Jeffrey Fearn <jfearn@redhat.com>
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Wed, 6 Nov 2013 15:54:30 +0100
Hello,

On Wed, 06 Nov 2013, Petr Vanek wrote:
> publican create --name New_Book
> 
> No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line 470.
>  at line 123, column 0, byte 4432
> Handler couldn't resolve external entity at line 123, column 0, byte 4432
> error in processing external entity reference at line 123, column 0, byte 4432
> error in processing external entity reference at line 3, column 1, byte 163 at /usr/lib/perl5/XML/Parser.pm line 187.

I have the same error. Running with strace gives more clue:

open("/usr/share/xml/docbook/schema/dtd/4.5/dbcentx.mod", O_RDONLY) = 7
ioctl(7, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fff1b1d5700) = -1 ENOTTY (Inappropriate ioctl for device)
lseek(7, 0, SEEK_CUR)                   = 0
fstat(7, {st_mode=S_IFREG|0644, st_size=11048, ...}) = 0
fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
read(7, "<!-- ..........................."..., 8192) = 8192
read(7, "/xml-iso-entities-8879.1986/ISOg"..., 8192) = 2856
read(7, "", 8192)                       = 0
open("/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent", O_RDONLY) = -1 ENOENT (No such file or directory)
[...]

So the problem is actually that XML::Parser is trying to load “/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent” instead of “/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”.

The dbcentx.mod file contains this reference to the above file:

<![%ISOamsa.module;[
<!ENTITY % ISOamsa PUBLIC
"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN//XML"
"/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent">
<!--end of ISOamsa.module-->]]>

I see no recent changes in docbook-xml or libxml-parser-perl so I wonder what
changed for this to break.

I'm ccing Jeffrey Fearn, the upstream author, maybe he can give us some clues
about this problem.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Wed, 06 Nov 2013 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Vanek <petr@linuks.cz>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 06 Nov 2013 15:36:07 GMT) Full text and rfc822 format available.

Message #15 received at 728885@bugs.debian.org (full text, mbox):

From: Petr Vanek <petr@linuks.cz>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 728885@bugs.debian.org, Jeffrey Fearn <jfearn@redhat.com>
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Wed, 6 Nov 2013 16:31:56 +0100
[Message part 1 (text/plain, inline)]
Hi

On Wed, Nov 6, 2013 at 3:54 PM, Raphael Hertzog <hertzog@debian.org> wrote:

> Hello,
>
> On Wed, 06 Nov 2013, Petr Vanek wrote:
> > publican create --name New_Book
> >
> > No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line 470.
> >  at line 123, column 0, byte 4432
> > Handler couldn't resolve external entity at line 123, column 0, byte 4432
> > error in processing external entity reference at line 123, column 0,
> byte 4432
> > error in processing external entity reference at line 3, column 1, byte
> 163 at /usr/lib/perl5/XML/Parser.pm line 187.
>
> I have the same error. Running with strace gives more clue:
>
> open("/usr/share/xml/docbook/schema/dtd/4.5/dbcentx.mod", O_RDONLY) = 7
> ioctl(7, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fff1b1d5700) = -1 ENOTTY
> (Inappropriate ioctl for device)
> lseek(7, 0, SEEK_CUR)                   = 0
> fstat(7, {st_mode=S_IFREG|0644, st_size=11048, ...}) = 0
> fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
> read(7, "<!-- ..........................."..., 8192) = 8192
> read(7, "/xml-iso-entities-8879.1986/ISOg"..., 8192) = 2856
> read(7, "", 8192)                       = 0
> open("/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent",
> O_RDONLY) = -1 ENOENT (No such file or directory)
> [...]
>
> So the problem is actually that XML::Parser is trying to load
> “/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”
> instead of “/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”.
>
>

Nice find.

i have installed fresh debian in chroot now. testing (jessie) has the same
version of publican and shows no issue. This confirms my tests today with
downgrading the package - the problem is not with publican per se. So i
upgaded the chroot instalation to debian unstable and the issue came up.
Here is the list of upgraded packages, obviously one of these is causing
the miss-configuration:

  at-spi2-core dbus dbus-x11 debconf debconf-i18n dpkg gvfs gvfs-daemons
gvfs-libs hostname icedtea-7-jre-jamvm ifupdown init-system-helpers
libatspi2.0-0 libboost-iostreams1.49.0 libboost-iostreams1.53.0
  libboost-iostreams1.54.0 libdatetime-timezone-perl libdb5.1 libdbi-perl
libdbus-1-3 libelf1 libfile-homedir-perl libgtk-3-0 libgtk-3-bin
libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
  libhtml-format-perl libllvm3.3 libpam-runtime libpango-1.0-0
libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0
libpopt0 librsvg2-2 librsvg2-bin librsvg2-common libselinux1 libsepol1
  libssl1.0.0 openjdk-7-jre openjdk-7-jre-headless openjdk-7-jre-lib
openssl tar

I am yet to test more.

Petr
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Wed, 06 Nov 2013 16:12:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 06 Nov 2013 16:12:19 GMT) Full text and rfc822 format available.

Message #20 received at 728885@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Petr Vanek <petr@linuks.cz>
Cc: 728885@bugs.debian.org, Jeffrey Fearn <jfearn@redhat.com>
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Wed, 6 Nov 2013 17:05:28 +0100
On Wed, 06 Nov 2013, Petr Vanek wrote:
> Here is the list of upgraded packages, obviously one of these is causing
> the miss-configuration:
> 
>   at-spi2-core dbus dbus-x11 debconf debconf-i18n dpkg gvfs gvfs-daemons
> gvfs-libs hostname icedtea-7-jre-jamvm ifupdown init-system-helpers
> libatspi2.0-0 libboost-iostreams1.49.0 libboost-iostreams1.53.0
>   libboost-iostreams1.54.0 libdatetime-timezone-perl libdb5.1 libdbi-perl
> libdbus-1-3 libelf1 libfile-homedir-perl libgtk-3-0 libgtk-3-bin
> libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
>   libhtml-format-perl libllvm3.3 libpam-runtime libpango-1.0-0
> libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0
> libpopt0 librsvg2-2 librsvg2-bin librsvg2-common libselinux1 libsepol1
>   libssl1.0.0 openjdk-7-jre openjdk-7-jre-headless openjdk-7-jre-lib
> openssl tar

None of those seem to be relevant. I tried downgrading
libhtml-format-perl, libfile-homedir-perl, libdatetime-timezone-perl
and libdbi-perl just in case. But those downgrade did not help.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Wed, 06 Nov 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Fearn <jfearn@redhat.com>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 06 Nov 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #25 received at 728885@bugs.debian.org (full text, mbox):

From: Jeff Fearn <jfearn@redhat.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Petr Vanek <petr@linuks.cz>, 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Thu, 07 Nov 2013 08:31:31 +1000
On 11/07/2013 12:54 AM, Raphael Hertzog wrote:
> Hello,
> 
> On Wed, 06 Nov 2013, Petr Vanek wrote:
>> publican create --name New_Book
>>
>> No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line 470.
>>  at line 123, column 0, byte 4432
>> Handler couldn't resolve external entity at line 123, column 0, byte 4432
>> error in processing external entity reference at line 123, column 0, byte 4432
>> error in processing external entity reference at line 3, column 1, byte 163 at /usr/lib/perl5/XML/Parser.pm line 187.
> 
> I have the same error. Running with strace gives more clue:
> 
> open("/usr/share/xml/docbook/schema/dtd/4.5/dbcentx.mod", O_RDONLY) = 7
> ioctl(7, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fff1b1d5700) = -1 ENOTTY (Inappropriate ioctl for device)
> lseek(7, 0, SEEK_CUR)                   = 0
> fstat(7, {st_mode=S_IFREG|0644, st_size=11048, ...}) = 0
> fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
> read(7, "<!-- ..........................."..., 8192) = 8192
> read(7, "/xml-iso-entities-8879.1986/ISOg"..., 8192) = 2856
> read(7, "", 8192)                       = 0
> open("/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent", O_RDONLY) = -1 ENOENT (No such file or directory)
> [...]
> 
> So the problem is actually that XML::Parser is trying to load “/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent” instead of “/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”.
> 
> The dbcentx.mod file contains this reference to the above file:
> 
> <![%ISOamsa.module;[
> <!ENTITY % ISOamsa PUBLIC
> "ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN//XML"
> "/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent">
> <!--end of ISOamsa.module-->]]>
> 
> I see no recent changes in docbook-xml or libxml-parser-perl so I wonder what
> changed for this to break.
> 
> I'm ccing Jeffrey Fearn, the upstream author, maybe he can give us some clues
> about this problem.

It's because @pod_paths in /usr/bin/publican got broken by the version number changing from X.Y to vX.Y.Z, so the path to the pod directory is wrong since the v is removed from the docs dir.

i.e. it's looking for /usr/share/docs/publican-v3.2.1 but the real directory is /usr/share/docs/publican-3.2.1

There is a patch for this checked in to the devel branch.

diff --git a/bin/publican b/bin/publican
index 781c8e0..cfd5798 100755
--- a/bin/publican
+++ b/bin/publican
@@ -77,10 +77,10 @@ my $bash_comp    = undef;
 
 #Getopt::Long::Configure("debug");
 
-## BUGBUG how do we get this after install?
-my @pod_paths = (
-    './pod1', Publican::ConfigData->config('docdir') . "/publican-$VERSION"
-);
+my $ver = $VERSION;
+$ver =~ s/v//g;
+my @pod_paths
+    = ( './pod1', Publican::ConfigData->config('docdir') . "/publican-$ver" );
 
Cheers, Jeff.




Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Thu, 07 Nov 2013 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Vanek <petr@linuks.cz>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Thu, 07 Nov 2013 07:21:04 GMT) Full text and rfc822 format available.

Message #30 received at 728885@bugs.debian.org (full text, mbox):

From: Petr Vanek <petr@linuks.cz>
To: Jeff Fearn <jfearn@redhat.com>
Cc: Raphael Hertzog <hertzog@debian.org>, 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Thu, 7 Nov 2013 08:17:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 6, 2013 at 11:31 PM, Jeff Fearn <jfearn@redhat.com> wrote:

> On 11/07/2013 12:54 AM, Raphael Hertzog wrote:
> > Hello,
> >
> > On Wed, 06 Nov 2013, Petr Vanek wrote:
> >> publican create --name New_Book
> >>
> >> No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line
> 470.
> >>  at line 123, column 0, byte 4432
> >> Handler couldn't resolve external entity at line 123, column 0, byte
> 4432
> >> error in processing external entity reference at line 123, column 0,
> byte 4432
> >> error in processing external entity reference at line 3, column 1, byte
> 163 at /usr/lib/perl5/XML/Parser.pm line 187.
> >
> > I have the same error. Running with strace gives more clue:
> >
> > open("/usr/share/xml/docbook/schema/dtd/4.5/dbcentx.mod", O_RDONLY) = 7
> > ioctl(7, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fff1b1d5700) = -1 ENOTTY
> (Inappropriate ioctl for device)
> > lseek(7, 0, SEEK_CUR)                   = 0
> > fstat(7, {st_mode=S_IFREG|0644, st_size=11048, ...}) = 0
> > fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
> > read(7, "<!-- ..........................."..., 8192) = 8192
> > read(7, "/xml-iso-entities-8879.1986/ISOg"..., 8192) = 2856
> > read(7, "", 8192)                       = 0
> >
> open("/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent",
> O_RDONLY) = -1 ENOENT (No such file or directory)
> > [...]
> >
> > So the problem is actually that XML::Parser is trying to load
> “/usr/share/xml/docbook/schema/dtd/4.5//usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”
> instead of “/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent”.
> >
> > The dbcentx.mod file contains this reference to the above file:
> >
> > <![%ISOamsa.module;[
> > <!ENTITY % ISOamsa PUBLIC
> > "ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN//XML"
> > "/usr/share/xml/entities/xml-iso-entities-8879.1986/ISOamsa.ent">
> > <!--end of ISOamsa.module-->]]>
> >
> > I see no recent changes in docbook-xml or libxml-parser-perl so I wonder
> what
> > changed for this to break.
> >
> > I'm ccing Jeffrey Fearn, the upstream author, maybe he can give us some
> clues
> > about this problem.
>
> It's because @pod_paths in /usr/bin/publican got broken by the version
> number changing from X.Y to vX.Y.Z, so the path to the pod directory is
> wrong since the v is removed from the docs dir.
>
> i.e. it's looking for /usr/share/docs/publican-v3.2.1 but the real
> directory is /usr/share/docs/publican-3.2.1
>
> There is a patch for this checked in to the devel branch.
>
> diff --git a/bin/publican b/bin/publican
> index 781c8e0..cfd5798 100755
> --- a/bin/publican
> +++ b/bin/publican
> @@ -77,10 +77,10 @@ my $bash_comp    = undef;
>
>  #Getopt::Long::Configure("debug");
>
> -## BUGBUG how do we get this after install?
> -my @pod_paths = (
> -    './pod1', Publican::ConfigData->config('docdir') .
> "/publican-$VERSION"
> -);
> +my $ver = $VERSION;
> +$ver =~ s/v//g;
> +my @pod_paths
> +    = ( './pod1', Publican::ConfigData->config('docdir') .
> "/publican-$ver" );
>
> Cheers, Jeff.
>
>

Thank you Jeff. Please correct me if i am wrong, but i have hand edited my
/usr/bin/publican to have this diff changes but the behavior hasn't
changed. Also, downgrading would fix this problem which it doesn't. This
leads me to believe that this is a different issue?

$ publican build
No such file or directory at /usr/lib/perl5/XML/Parser/Expat.pm line 470.
 at line 123, column 0, byte 4432
Handler couldn't resolve external entity at line 123, column 0, byte 4432
error in processing external entity reference at line 123, column 0, byte
4432
error in processing external entity reference at line 5, column 1, byte 250
at /usr/lib/perl5/XML/Parser.pm line 187.

Thank you

Petr
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#728885; Package publican. (Thu, 07 Nov 2013 08:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Thu, 07 Nov 2013 08:33:12 GMT) Full text and rfc822 format available.

Message #35 received at 728885@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Petr Vanek <petr@linuks.cz>, 728885@bugs.debian.org
Cc: Jeff Fearn <jfearn@redhat.com>, libxml-treebuilder-perl@packages.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Thu, 7 Nov 2013 09:32:37 +0100
Control: reassign -1 libxml-treebuilder-perl 5.0-1
Control: severiy -1 serious
Control: affects -1 + publican

Hi,

On Thu, 07 Nov 2013, Petr Vanek wrote:
> Thank you Jeff. Please correct me if i am wrong, but i have hand edited my
> /usr/bin/publican to have this diff changes but the behavior hasn't
> changed. Also, downgrading would fix this problem which it doesn't. This
> leads me to believe that this is a different issue?

It is a different issue but Jeff migh still be able to help us... I
downgraded libxml-treebuilder-perl from 5.1 (unstable) to 4.3 (jessie)
and it fixed the problem, so it looks like a bug in libxml-treebuilder-perl...
To further narrow the version range, I tried with version 5.0-1 (grabbed
on snapshot.debian.org) and the problem is also present in that version.

So the problem has been introduced between 4.3 and 5.0:
https://metacpan.org/diff/release/JFEARN/XML-TreeBuilder-4.3/JFEARN/XML-TreeBuilder-5.0

It's probably related to some of the new features:
- Add support for using XML Catalogs. (related to RT #87010)
- Add support for expanding entities.

A quick guess-analysis lead me to this possible fix:

--- libxml-treebuilder-perl-5.1.orig/lib/XML/TreeBuilder.pm
+++ libxml-treebuilder-perl-5.1/lib/XML/TreeBuilder.pm
@@ -227,7 +227,7 @@ sub new {
                         = fileparse($file);
                     $base = $directories;
                 }
-                elsif ( $sysid =~ /^file:/ ) {
+                elsif ( $sysid =~ /^(file:|\/)/ ) {
                     $sysid =~ s/^file:\/\///;
                     my ( $filename, $directories, $suffix )
                         = fileparse($sysid);

With this change it works. But I'm not sure if we should fix the else
clause or if expanding the scope of this "elsif" is the right approach.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Bug reassigned from package 'publican' to 'libxml-treebuilder-perl'. Request was from Raphael Hertzog <hertzog@debian.org> to 728885-submit@bugs.debian.org. (Thu, 07 Nov 2013 08:33:13 GMT) Full text and rfc822 format available.

No longer marked as found in versions publican/3.2.1-2. Request was from Raphael Hertzog <hertzog@debian.org> to 728885-submit@bugs.debian.org. (Thu, 07 Nov 2013 08:33:14 GMT) Full text and rfc822 format available.

Marked as found in versions libxml-treebuilder-perl/5.0-1. Request was from Raphael Hertzog <hertzog@debian.org> to 728885-submit@bugs.debian.org. (Thu, 07 Nov 2013 08:33:15 GMT) Full text and rfc822 format available.

Added indication that 728885 affects publican Request was from Raphael Hertzog <hertzog@debian.org> to 728885-submit@bugs.debian.org. (Thu, 07 Nov 2013 08:33:16 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 07 Nov 2013 08:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Thu, 07 Nov 2013 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Vanek <petr@linuks.cz>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 07 Nov 2013 10:57:04 GMT) Full text and rfc822 format available.

Message #50 received at 728885@bugs.debian.org (full text, mbox):

From: Petr Vanek <petr@linuks.cz>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 728885@bugs.debian.org, Jeff Fearn <jfearn@redhat.com>, libxml-treebuilder-perl@packages.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Thu, 7 Nov 2013 11:53:38 +0100
[Message part 1 (text/plain, inline)]
On Thu, Nov 7, 2013 at 9:32 AM, Raphael Hertzog <hertzog@debian.org> wrote:

> Control: reassign -1 libxml-treebuilder-perl 5.0-1
> Control: severiy -1 serious
> Control: affects -1 + publican
>
> Hi,
>
> On Thu, 07 Nov 2013, Petr Vanek wrote:
> > Thank you Jeff. Please correct me if i am wrong, but i have hand edited
> my
> > /usr/bin/publican to have this diff changes but the behavior hasn't
> > changed. Also, downgrading would fix this problem which it doesn't. This
> > leads me to believe that this is a different issue?
>
> It is a different issue but Jeff migh still be able to help us... I
> downgraded libxml-treebuilder-perl from 5.1 (unstable) to 4.3 (jessie)
> and it fixed the problem, so it looks like a bug in
> libxml-treebuilder-perl...
> To further narrow the version range, I tried with version 5.0-1 (grabbed
> on snapshot.debian.org) and the problem is also present in that version.
>
> So the problem has been introduced between 4.3 and 5.0:
>
> https://metacpan.org/diff/release/JFEARN/XML-TreeBuilder-4.3/JFEARN/XML-TreeBuilder-5.0
>
> It's probably related to some of the new features:
> - Add support for using XML Catalogs. (related to RT #87010)
> - Add support for expanding entities.
>
>

This is an excellent find, thank you! At least there is a way i get back to
work now :))

Petr
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Sun, 17 Nov 2013 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Fearn <jfearn@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 17 Nov 2013 23:33:04 GMT) Full text and rfc822 format available.

Message #55 received at 728885@bugs.debian.org (full text, mbox):

From: Jeff Fearn <jfearn@redhat.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Petr Vanek <petr@linuks.cz>, 728885@bugs.debian.org, libxml-treebuilder-perl@packages.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Mon, 18 Nov 2013 09:30:35 +1000
On 11/07/2013 06:32 PM, Raphael Hertzog wrote:
> Control: reassign -1 libxml-treebuilder-perl 5.0-1
> Control: severiy -1 serious
> Control: affects -1 + publican
> 
> Hi,
> 
> On Thu, 07 Nov 2013, Petr Vanek wrote:
>> Thank you Jeff. Please correct me if i am wrong, but i have hand edited my
>> /usr/bin/publican to have this diff changes but the behavior hasn't
>> changed. Also, downgrading would fix this problem which it doesn't. This
>> leads me to believe that this is a different issue?
> 
> It is a different issue but Jeff migh still be able to help us... I
> downgraded libxml-treebuilder-perl from 5.1 (unstable) to 4.3 (jessie)
> and it fixed the problem, so it looks like a bug in libxml-treebuilder-perl...
> To further narrow the version range, I tried with version 5.0-1 (grabbed
> on snapshot.debian.org) and the problem is also present in that version.
> 
> So the problem has been introduced between 4.3 and 5.0:
> https://metacpan.org/diff/release/JFEARN/XML-TreeBuilder-4.3/JFEARN/XML-TreeBuilder-5.0
> 
> It's probably related to some of the new features:
> - Add support for using XML Catalogs. (related to RT #87010)
> - Add support for expanding entities.
> 
> A quick guess-analysis lead me to this possible fix:
> 
> --- libxml-treebuilder-perl-5.1.orig/lib/XML/TreeBuilder.pm
> +++ libxml-treebuilder-perl-5.1/lib/XML/TreeBuilder.pm
> @@ -227,7 +227,7 @@ sub new {
>                          = fileparse($file);
>                      $base = $directories;
>                  }
> -                elsif ( $sysid =~ /^file:/ ) {
> +                elsif ( $sysid =~ /^(file:|\/)/ ) {
>                      $sysid =~ s/^file:\/\///;
>                      my ( $filename, $directories, $suffix )
>                          = fileparse($sysid);
> 
> With this change it works. But I'm not sure if we should fix the else
> clause or if expanding the scope of this "elsif" is the right approach.
> 
> Cheers,
> 

Hi Raphael, sorry for the delay in response.

I've opened a bug in CPAN RT for this and I'll get to it A.S.A.P.

https://rt.cpan.org/Ticket/Display.html?id=90464

Cheers, Jeff.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Mon, 18 Nov 2013 03:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Fearn <jfearn@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 18 Nov 2013 03:48:05 GMT) Full text and rfc822 format available.

Message #60 received at 728885@bugs.debian.org (full text, mbox):

From: Jeff Fearn <jfearn@redhat.com>
To: 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Mon, 18 Nov 2013 13:44:10 +1000
Hi, I've checked in a patch for this. If someone can test it for me I'd appreciate it.

https://github.com/jfearn/XML-TreeBuilder/commit/d81004996dae0f123a77af2c79576e7977559dc0

Cheers, Jeff.



Set Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=90464'. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 18 Nov 2013 07:06:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Sat, 30 Nov 2013 20:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 30 Nov 2013 20:09:08 GMT) Full text and rfc822 format available.

Message #67 received at 728885@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jeff Fearn <jfearn@redhat.com>
Cc: 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Sat, 30 Nov 2013 21:07:08 +0100
Hello Jeff,

On Mon, 18 Nov 2013, Jeff Fearn wrote:
> Hi, I've checked in a patch for this. If someone can test it for me I'd appreciate it.
> 
> https://github.com/jfearn/XML-TreeBuilder/commit/d81004996dae0f123a77af2c79576e7977559dc0

It seems to work fine to fix my issue.

Though your change in Build.PL to require XML::Catalog 1.000001 seems
bogus (there's no such version released) and I tested only the change of
lib/XML/TreeBuilder.pm.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sun, 01 Dec 2013 00:36:24 GMT) Full text and rfc822 format available.

Notification sent to Petr Vanek <petr@linuks.cz>:
Bug acknowledged by developer. (Sun, 01 Dec 2013 00:36:24 GMT) Full text and rfc822 format available.

Message #72 received at 728885-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 728885-close@bugs.debian.org
Subject: Bug#728885: fixed in libxml-treebuilder-perl 5.1-2
Date: Sun, 01 Dec 2013 00:34:57 +0000
Source: libxml-treebuilder-perl
Source-Version: 5.1-2

We believe that the bug you reported is fixed in the latest version of
libxml-treebuilder-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728885@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated libxml-treebuilder-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 30 Nov 2013 20:48:41 +0100
Source: libxml-treebuilder-perl
Binary: libxml-treebuilder-perl
Architecture: source all
Version: 5.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 libxml-treebuilder-perl - XML parser providing XML::Elements DOM similar to HTML::Element
Closes: 728885
Changes: 
 libxml-treebuilder-perl (5.1-2) unstable; urgency=low
 .
   * Team upload.
   * Fix local path resolution for external entities. Closes: #728885
Checksums-Sha1: 
 d5ad2f55629579179d0da9701a241e4a10670069 2282 libxml-treebuilder-perl_5.1-2.dsc
 bd65c602d266bb26bc408a6a1707abb8ccf19a1b 3005 libxml-treebuilder-perl_5.1-2.debian.tar.gz
 3f8b00b377863b3ecc70b06f3c30f7b3d045f0a1 15222 libxml-treebuilder-perl_5.1-2_all.deb
Checksums-Sha256: 
 c3f19d528915e819942da6172f517c458de1302681e4af574c06546d94c8bb62 2282 libxml-treebuilder-perl_5.1-2.dsc
 a19c5bc607c93a5909731e135b829bf000120cc8fa2be087b572619ff56cc8c9 3005 libxml-treebuilder-perl_5.1-2.debian.tar.gz
 8de2750b10e811991d973c7c5eb3ea70bf677cd155dead1534651fc576933b31 15222 libxml-treebuilder-perl_5.1-2_all.deb
Files: 
 0fcd8d26c96945685c606f0c09331c6e 2282 perl optional libxml-treebuilder-perl_5.1-2.dsc
 7e3162aec3ad530798dc714950ea70dc 3005 perl optional libxml-treebuilder-perl_5.1-2.debian.tar.gz
 e4e62fdad4a3eb73b5223c0b8dba4cfd 15222 perl optional libxml-treebuilder-perl_5.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJSmoDpAAoJEOYZBF3yrHKaHsYP/3SZfU6/gErvhMw7CMvrKx0u
YEkOijC9LDWlEAK116OpNk9I7Nk3Xi3cbJ3Vevd9lr7kydE/wDui33GDnYVI1U4/
vX1g81qIlapvGnHGz4HThT6g+Jp/DKVx+jVOhHv69p1bPcE5izd+WQu2w4xHqql8
dQRCsWurCkD7eH/HqTsLs2NymCi7A3EWGuIyHJ89USDSZvCgB3HdU+dum8dVATLW
zS/bdZEtGiUWakEKMULSK+bsgaI5RdxH5FtR77tsu0soeEJ976V6nd8up2n+hLGs
+FHVgGosLG5ujN7sU7VVv80doRald7eoY+d4SOLjTJS0vIVkyX53cTUxT7G6iYjD
yvZNN5v8TkmfecVcDAjVydEMdFNR1qN2DbzVlywXDc+kVY0hGD8Gh4p6Y0d/BDQT
3C+NZ5w25xpmi1Ro2SE8KD1u8iVzUjqpD/kAVJeL89dJf4XoQAog5O5Z69g/3XiK
F61g9mNyvEQ7oKQppUbNC1MaS7BbxPaQqtKSkyv7+JrLf3yfrHDBzzN1PhlxZZP+
D2G/tF+JRWDjymrsNElEwSzVzL+z7Kbog5g9vHmtcFluGLsoJ84hwThivEmhxJeN
7ZeYl05yMAB0BfDM69qbo+WzCnROc37UBt5B6EczyNwcUzWd3ItohhD6L1Z22on8
SixBWHRFCXGD+dJwvYC8
=UQBV
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Sun, 01 Dec 2013 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Fearn <jfearn@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 01 Dec 2013 22:39:04 GMT) Full text and rfc822 format available.

Message #77 received at 728885@bugs.debian.org (full text, mbox):

From: Jeff Fearn <jfearn@redhat.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Mon, 02 Dec 2013 08:37:22 +1000
On 12/01/2013 06:07 AM, Raphael Hertzog wrote:
> Hello Jeff,
> 
> On Mon, 18 Nov 2013, Jeff Fearn wrote:
>> Hi, I've checked in a patch for this. If someone can test it for me I'd appreciate it.
>>
>> https://github.com/jfearn/XML-TreeBuilder/commit/d81004996dae0f123a77af2c79576e7977559dc0
> 
> It seems to work fine to fix my issue.

Great I'll push out a new version this week.

> Though your change in Build.PL to require XML::Catalog 1.000001 seems
> bogus (there's no such version released) and I tested only the change of
> lib/XML/TreeBuilder.pm.

When I build with '1.0.1' I get this:

Dotted-decimal prereq '1.0.1' for 'XML::Catalog' is not portable - converting it to '1.000001'

It was annoying me so I changed the format in Build.PL to the portable version. It works fine for me on my test machines. It will be funny if the non portable version is more portable than the portable version :}

Cheers, Jeff.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#728885; Package libxml-treebuilder-perl. (Mon, 09 Dec 2013 05:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Fearn <jfearn@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 09 Dec 2013 05:09:10 GMT) Full text and rfc822 format available.

Message #82 received at 728885@bugs.debian.org (full text, mbox):

From: Jeff Fearn <jfearn@redhat.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 728885@bugs.debian.org
Subject: Re: Bug#728885: publican: Publican fails to start
Date: Mon, 09 Dec 2013 15:07:52 +1000
On 12/02/2013 08:37 AM, Jeff Fearn wrote:
> On 12/01/2013 06:07 AM, Raphael Hertzog wrote:
>> Hello Jeff,
>>
>> On Mon, 18 Nov 2013, Jeff Fearn wrote:
>>> Hi, I've checked in a patch for this. If someone can test it for me I'd appreciate it.
>>>
>>> https://github.com/jfearn/XML-TreeBuilder/commit/d81004996dae0f123a77af2c79576e7977559dc0
>>
>> It seems to work fine to fix my issue.
> 
> Great I'll push out a new version this week.
> 
>> Though your change in Build.PL to require XML::Catalog 1.000001 seems
>> bogus (there's no such version released) and I tested only the change of
>> lib/XML/TreeBuilder.pm.
> 
> When I build with '1.0.1' I get this:
> 
> Dotted-decimal prereq '1.0.1' for 'XML::Catalog' is not portable - converting it to '1.000001'
> 
> It was annoying me so I changed the format in Build.PL to the portable version. It works fine for me on my test machines. It will be funny if the non portable version is more portable than the portable version :}
> 
> Cheers, Jeff.
> 

Hi, I just pushed XML::TreeBuilder 5.2 with the patch for this, it'll take a while to run through pause. I reverted the version change noted above just in case it causes problems.

Cheers, Jeff.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Jan 2014 07:30:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:10:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.